SplFixedArray::toArray
SplObjectStorage
SplFixedArray
PHP Manual

# SplFixedArray::valid

(PHP 5 >= 5.3.0)

SplFixedArray::valid — Check whether the array contains more elements

### Description

public bool SplFixedArray::valid ( void )

Checks if the array contains any more elements.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the array contains any more elements, `FALSE` otherwise.

SplFixedArray::toArray
SplObjectStorage
SplFixedArray
PHP Manual